Contents
Index 🔎︎

# Mathematical Functions

This category contains the Matematičke functions for Calc. To open the Čarobnjak za funkcije, choose Ubaci - Funkcija.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

### Rješavač

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## [text/scalc/01/func_sumifs.xhp#sumifs_head not found].

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Vraca hiperbolicku tangentu broja.

### Syntax

TANH(Broj)

Broj vrijednost apsolutne vrijednost koji se treba izracunati. Apsolutna vrijednost broja njegove vrijednosti u +/- znakovima.

### Example

=ODD(-3.1)vraca -5.

=ODD(1) vraca 1.

=ODD(0) vraca 1.

## ACOS

vraca inverzni trigonometrijski kosinus od (arc cosine) broja.

### Syntax

HOUR(Broj)

ova funkcija vraca inverzni trigonometrijski kosinus od Broj, that is the angle (in radians) whose cosine is Broj. The angle returned is in the range 0 to +PI.

vrati u stepenima, koristi DEGREES funkciju

### Example

=ATAN2(20; 20) returns 0.785398163397448 (PI/4 radians).

=DEGREES(ACOT(1)) returns 45. The tangent of 45 degrees is 1.

## ACOSH

vraca inverzni hiperbolicni kosinus od datog broja.

### Syntax

MONTH(Broj)

ova funkcija vraca inverzni hiperbolicni kosinus odBroj, that is the number whose hyperbolic cosine is Broj.

Number must be greater than or equal to +1.

### Example

=ODD(1) vraca 1.

=CELL("COL"; D2) vraca 4.

## ACOT

ova funkcija vraca inverznu trigonometrijsku kontangensu od datog broja.

### Syntax

SQRT(Broj)

ova funkcija vraca inverznu trigonometrijsku kontangensu od Broj, that is the angle (in radians) whose cotangent is Broj. The angle returned is in the range 0 to +PI.

vrati u stepenima, koristi DEGREES funkciju

### Example

=ATAN2(20; 20) returns 0.785398163397448 (PI/4 radians).

=DEGREES(ACOT(1)) returns 45. The tangent of 45 degrees is 1.

## ACOTH

ova funkcija vraca inverzni hiperbolicni cotangens od datog broja.

### Syntax

MONTH(Broj)

ova funkcija vraca inverzni hiperbolicni cotangens od Broj, that is the number whose hyperbolic cotangent is Broj.

greska akoNumber is in the range -1 to +1 inclusive.

### Example

=ACOTH(1.1) vraca hiperbolicni kontangens 1.1, approximately 1.52226.

## ASIN

Vraca (arc sine) broja.

### Syntax

SIN(Broj)

ova funkcija vraca inverzni trigonometrijski sinus odBroj, that is the angle (in radians) whose sine is Broj. The angle returned is in the range -PI/2 to +PI/2.

vrati u stepenima, koristi DEGREES funkciju

### Example

=ODD(0) vraca 1.

=ATAN2(20; 20) returns 0.785398163397448 (PI/4 radians).

=DEGREES(ACOT(1)) returns 45. The tangent of 45 degrees is 1.

## ASINH

vraca inverzni hiperbolicni kosinus od datog broja.

### Syntax

SINH(Broj)

ova funkcija je inverzni hiperbolicni sinus od Broj, that is the number whose hyperbolic sine is Broj.

### Example

=ASINH(-90) returns approximately -5.1929877.

=SIGN(3.4)vraca 1.

## ATAN

Vraca inveznu trigonometrijsku tangentu (arc tangent) broja.

### Syntax

TAN(Broj)

ova funkcija vraca inverznu trigonometrijsku tangentu od Broj, that is the angle (in radians) whose tangent is Broj. The angle returned is in the range -PI/2 to +PI/2.

vrati u stepenima, koristi DEGREES funkciju

### Example

=ATAN2(20; 20) returns 0.785398163397448 (PI/4 radians).

=DEGREES(ACOT(1)) returns 45. The tangent of 45 degrees is 1.

## ATAN2

Returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY).

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

### Syntax

ATAN2(Number_x; Number_y)

NumberX is the value of the x coordinate.

Number_y vrijednost y-coordinate.

Programming languages have usually the opposite order of arguments for their atan2() function.

ATAN2 returns the angle (in radians) between the x-axis and a line from the origin to the point (NumberX|NumberY)

### Example

=ATAN2(-5;9) returns 2.07789 radians.

To get the angle in degrees apply the DEGREES function to the result.

=DEGREES(ATAN2(12.3;12.3)) returns 45. The tangent of 45 degrees is 1.

LibreOffice results 0 for ATAN2(0;0).

The function can be used in converting cartesian coordinates to polar coordinates.

=DEGREES(ATAN2(-8;5)) returns φ = 147.9 degrees

## ATANH

Vraca hiperbolicnu tangentu broja.

### Syntax

TANH(Broj)

ova funkcija vraca inverznu tangentu od Broj, that is the number whose hyperbolic tangent is Broj.

Numbermorate zadovoljit uslov -1 < Number < +1.

### Example

=ODD(0) vraca 1.

## CEILING

Zaokruzuje broj do najblizeg umnoska znacenja.

### Syntax

FLOOR(Broj; Znacenje; Oblik)

Broj je broj koji treba biti zaokruzen prema dole.

Značajje vrijednost do cijed ce umnoska broj biti zaokruzen.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

If the spreadsheet is exported to Microsoft Excel, the CEILING function is exported as the equivalent CEILING.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either CEILING.PRECISE that exists since Excel 2010, or CEILING.XCL that is exported as the CEILING function compatible with all Excel versions. Note that CEILING.XCL always rounds away from zero.

### Example

=FLOOR( -11; -2) vraca -12

=FLOOR( -11; -2; 0) vraca -12

=FLOOR( -11; -2; 0) vraca -12

## CEILING.MATH

Rounds a number up to the nearest multiple of Significance.

### Syntax

CEILING.MATH(Number; Significance; Mode)

Number is the number that is to be rounded up.

Significance is the number to whose multiple the value is to be rounded up.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

This function exists for interoperability with Microsoft Excel 2013 or newer.

### Example

=CEILING.MATH(-10;-3) returns -9

=CEILING.MATH(-10;-3;0) returns -9

=CEILING.MATH(-10;-3;1) returns -12

## CEILING.PRECISE

Rounds a number up to the nearest multiple of Significance, regardless of sign of Significance

This function is available since LibreOffice 4.3

### Syntax

CEILING.PRECISE(Number; Significance)

Broj je broj koji treba biti zaokruzen prema dole.

Značajje vrijednost do cijed ce umnoska broj biti zaokruzen.

### Example

=FLOOR( -11; -2) vraca -12

## CEILING.XCL

Rounds a number away from zero to the nearest multiple of Significance.

This function is available since LibreOffice 5.0

### Syntax

CEILING.XCL(Number; Significance)

Number is the number that is to be rounded.

Significance is the number to whose multiple the value is to be rounded.

This function exists for interoperability with Microsoft Excel 2007 or older versions.

### Example

=CEILING.XCL(1;3) returns 3

=CEILING.XCL(7;4) returns 8

=CEILING.XCL(-10;-3) returns -12

## COMBIN

Returns the number of combinations for elements without repetition.

### Syntax

COMBIN(Count1; Count2)

Count1 is the number of items in the set.

Count2 is the number of items to choose from the set.

COMBIN returns the number of ordered ways to choose these items. For example if there are 3 items A, B and C in a set, you can choose 2 items in 3 different ways, namely AB, AC and BC.

COMBIN implements the formula: Count1!/(Count2!*(Count1-Count2)!)

### Example

=ODD(1.2) vraca 3.

## COMBINA

Returns the number of combinations of a subset of items including repetitions.

### Syntax

COMBINA(Count1; Count2)

Count1 is the number of items in the set.

Count2 is the number of items to choose from the set.

COMBINA returns the number of unique ways to choose these items, where the order of choosing is irrelevant, and repetition of items is allowed. For example if there are 3 items A, B and C in a set, you can choose 2 items in 6 different ways, namely AA, AB, AC, BB, BC and CC.

COMBINA implements the formula: (Count1+Count2-1)! / (Count2!(Count1-1)!)

### Example

=DELTA(1; 2) vraca 0.

## CONVERT_OOO

Converts a value from one unit of measurement to another unit of measurement. The conversion factors are given in a list in the configuration.

At one time the list of conversion factors included the legacy European currencies and the Euro (see examples below). We suggest using the new function EUROCONVERT for converting these currencies.

### Syntax

CONVERT_OOO(value;"text";"text")

### Example

=CONVERT_OOO(100;"ATS";"EUR") returns the Euro value of 100 Austrian Schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 Euros into German Marks.

## COS

Vraca kosinus datog ugla(in radians).

### Syntax

HOUR(Broj)

Vraca (trigonometric) kosinus Broj, the angle in radians.

Vraca kosinus ugla u stepenima, koristi RADIANS funkciju.

### Example

=SIN(PI()/2) vraca 1, sinus PI/2 radijana.

=SIN(RADIANS(30))vraca 0.5, sinus 30 stepeni.

## COSH

Vraca hiperbolicni kosinus broja.

### Syntax

MONTH(Broj)

Vraca hiperbolicni kosinus Broj.

### Example

=SINH(0)vraca 0, hiperbolicki sinus od 0.

## COT

Vraca tangentu zadatog ugla (u radijanima).

### Syntax

MONTH(Broj)

Vraca (trigonometric) kotangent Broj, the angle in radians.

Vraca kotangent ugla u stepenima, koristi RADIANS function.

Kontangent ugla koji je ekvivalentat sa 1 i podijeljen tangentom tog ugla.

### PRimjeri:

=TAN(PI()/4) vraca 1, tangenta PI/4 radijana.

## COTH

Vraca hiperbolicku tangentu broja.

### Syntax

MONTH(Broj)

vraca hiperbolicni kotangent Broj.

### Example

## CSC

Returns the cosecant of the given angle (in radians). The cosecant of an angle is equivalent to 1 divided by the sine of that angle

This function is available since LibreOffice 3.5

### Syntax

MONTH(Broj)

Vraca (trigonometric) kosinus Broj, the angle in radians.

Vraca kosinus ugla u stepenima, koristi RADIANS funkciju.

### Example

=CSC(PI()/4) returns approximately 1.4142135624, the inverse of the sine of PI/4 radians.

=SIN(RADIANS(30))vraca 0.5, sinus 30 stepeni.

## CSCH

Vraca hiperbolicni kosinus broja.

This function is available since LibreOffice 3.5

### Syntax

MONTH(Broj)

Vraca hiperbolicni kosinus Broj.

### Example

=CSCH(1) returns approximately 0.8509181282, the hyperbolic cosecant of 1.

## DEGREES

Converts radians into degrees.

### Syntax

DEGREES(Number)

Number is the angle in radians to be converted to degrees.

### Example

=DEGREES(PI()) returns 180 degrees.

## DPRODUCT

Multiplies all the numbers given as arguments and returns the product.

### Syntax

SUM(Broj_1; Broj_2; ... Broj_30)

Broj_1; Broj_2; ... su argumenti od 1 do 30 cija suma seracuna.

PRODUCT returns number1 * number2 * number3 * ...

### Example

=DEC2OCT(100; 4) vraca string teksta 0144.

## EVEN

Zaokruzuje pozitivne brojeve gore do najblizeg neparnog broja i negativne vrijednosti dole do najblizeg neparnog broja.

### Syntax

SIN(Broj)

Vraca Broj zaokruzeno na sljedeci neparan index gore, dalje od nule.

### Example

=SIGN(3.4)vraca 1.

=ODD(1) vraca 1.

=ODD(0) vraca 1.

=SIGN(-4.5) vraca -1.

## EXP

Rezultat je jakost od e i kompleksni broj. Konstantni e ima vrijednost oko 2.71828182845904.

### Syntax

YEAR(Broj)

Number is the power to which e is to be raised.

### Example

=EXP(1) returns 2.71828182845904, the mathematical constant e to Calc's accuracy.

## FACT

Vraća dupli faktorijal broja.

### Syntax

TAN(Broj)

Returns Number!, the factorial of Number, calculated as 1*2*3*4* ... * Number.

FACTDOUBLE(0) vraća jedan po definiciji.

The factorial of a negative number returns the "invalid argument" error.

### Example

=SQRT(16) vraca 4.

=ODD(0) vraca 1.

## FLOOR

Zaokruzuje broj do najblizeg umnoska znacenja.

### Syntax

FLOOR(Broj; Znacenje; Oblik)

Broj je broj koji treba biti zaokruzen prema dole.

Značajje vrijednost do cijed ce umnoska broj biti zaokruzen.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded towards zero. If the Mode value is equal to zero or is not given, negative numbers are rounded away from zero.

If the spreadsheet is exported to Microsoft Excel, the FLOOR function is exported as the equivalent FLOOR.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either FLOOR.PRECISE that exists since Excel 2010, or FLOOR.XCL that is exported as the FLOOR function compatible with all Excel versions. Note that FLOOR.XCL always rounds towards zero.

### Example

=FLOOR( -11; -2) vraca -12

=FLOOR( -11; -2; 0) vraca -12

=FLOOR( -11; -2; 1) vraca -10

## FLOOR.PRECISE

Rounds a number down to the nearest multiple of Significance, regardless of sign of Significance

This function is available since LibreOffice 4.3

### Syntax

FLOOR.PRECISE(Number; Significance)

Broj je broj koji treba biti zaokruzen prema dole.

Značajje vrijednost do cijed ce umnoska broj biti zaokruzen.

### Example

=FLOOR( -11; -2) vraca -12

## GCD

Returns the greatest common divisor of two or more integers.

The greatest common divisor is the positive largest integer which will divide, without remainder, each of the given integers.

### Syntax

GCD(Integer1; Integer2; ...; Integer30)

Integer1 To 30 are up to 30 integers whose greatest common divisor is to be calculated.

### Example

=GCD(16;32;24) gives the result 8, because 8 is the largest number that can divide 16, 24 and 32 without a remainder.

=GCD(B1:B3) where cells B1, B2, B3 contain 9, 12, 9 gives 3.

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

GCD_EXCEL2003(Number(s))

Number(s) is a list of up to 30 numbers.

### Example

=GCD_EXCEL2003(5;15;25) returns 5.

## INT

Rounds a number down to the nearest integer.

### Syntax

SINH(Broj)

Returns Number rounded down to the nearest integer.

Negative numbers round down to the integer below.

### Example

=SIGN(3.4)vraca 1.

=SIGN(-4.5) vraca -1.

## ISO.CEILING

Rounds a number up to the nearest multiple of Significance, regardless of sign of Significance

### Syntax

ISO.CEILING(Number; Significance)

Broj je broj koji treba biti zaokruzen prema dole.

Značajje vrijednost do cijed ce umnoska broj biti zaokruzen.

### Example

=FLOOR( -11; -2) vraca -12

## KONVERTOVATI

Konvertuje stare evropske valute u i iz eura.

### Syntax

CONVERT(Vrijednost; "Valuta_1"; "Valuta_2")

Vrijednostje vrijednost valute koja treba biti pretvorena.

Currency_1 and Currency_2 su jedinice valute u i iz koje se pretvara. One moraju biti tekstualne, oficijelne skracenice za valute (for example, "EUR"). Stope (prikazane po euru)su poslate od Europske Komisije.

Full_precision is optional. If omitted or False, the result is rounded according to the decimals of the To currency. If Full_precision is True, the result is not rounded.

Triangulation_precision is optional. If Triangulation_precision is given and >=3, the intermediate result of a triangular conversion (currency1,EUR,currency2) is rounded to that precision. If Triangulation_precision is omitted, the intermediate result is not rounded. Also if To currency is "EUR", Triangulation_precision is used as if triangulation was needed and conversion from EUR to EUR was applied.

### Primjer:

=CONVERT(100; "ATS"; "EUR") pretvara 100 austrijsih shilinga u eure.

=CONVERT(100; "EUR"; "DEM") pretvara 100 eura u njemacke marke.

## LCM

Returns the least common multiple of one or more integers.

### Syntax

LCM(Integer1; Integer2; ...; Integer30)

Integer1 to 30 are up to 30 integers whose lowest common multiple is to be calculated.

### Example

Ako unesete brojeve 2; 3 and 4 u Broj_1; 2 i 3 polja teksta, vraceni rezultat ce biti 9.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

The functions whose names end with _ADD or _EXCEL2003 return the same results as the corresponding Microsoft Excel 2003 functions without the suffix. Use the functions without suffix to get results based on international standards.

### Syntax

LCM_EXCEL2003(Number(s))

Number(s) is a list of up to 30 numbers.

### Example

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Rezultat je prirodni logaritam (baza e) od kompleksnog broja. Konstantni e ima vrijednost oko 2.71828182845904.

### Syntax

SIN(Broj)

Number is the value whose natural logarithm is to be calculated.

### Example

=LN(3) returns the natural logarithm of 3 (approximately 1.0986).

=GESTEP(5; 1) vraca 1.

## LOG

Returns the logarithm of a number to the specified base.

### Syntax

LOG(Number; Base)

Number is the value whose logarithm is to be calculated.

Base (optional) is the base for the logarithm calculation. If omitted, Base 10 is assumed.

### Example

=LOG(10;3) returns the logarithm to base 3 of 10 (approximately 2.0959).

=SIGN(3.4)vraca 1.

## LOG10

Returns the base-10 logarithm of a number.

### Syntax

LOG10(Number)

Returns the logarithm to base 10 of Number.

### Example

=LOG10(5) returns the base-10 logarithm of 5 (approximately 0.69897).

## MOD

Returns the remainder when one integer is divided by another.

### Syntax

MOD(Dividend; Divisor)

For integer arguments this function returns Dividend modulo Divisor, that is the remainder when Dividend is divided by Divisor.

This function is implemented as Dividend - Divisor * INT(Dividend/Divisor) , and this formula gives the result if the arguments are not integer.

### Example

=MOD(22;3) returns 1, the remainder when 22 is divided by 3.

=ODD(1.2) vraca 3.

## MROUND

Vraca broj zaokruzen na najblizi umnozak drugog broja.

### Syntax

MROUND(Broj;Umnozak)

Vraca Broj zaokruzen do najblizeg umnoska Umnožak.

Alternativna primjena bi bila Multiple * ROUND(Number/Multiple).

### Example

=MROUND(15.5; 3) returnsvraca 15, kako je 15.5 blize 15 (= 3*5) nego 18 (= 3*6).

=MROUND(1.4; 0.5) vraca 1.5 (= 0.5*3).

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

### Syntax

MULTINOMIAL(Number(s))

Number(s) is a list of up to 30 numbers.

### Example

=MULTINOMIAL(F11:H11) returns 1260, if F11 to H11 contain the values 2, 3 and 4. This corresponds to the formula =(2+3+4)! / (2!*3!*4!)

## NEPARAN

Zaokruzuje pozitivne brojeve gore do najblizeg neparnog broja i negativne vrijednosti dole do najblizeg neparnog broja.

### Syntax

NEPARAN(Broj)

Vraca Broj zaokruzeno na sljedeci neparan index gore, dalje od nule.

### Example

=ODD(1.2) vraca 3.

=ODD(1) vraca 1.

=ODD(0) vraca 1.

=ODD(-3.1)vraca -5.

## PI

Returns 3.14159265358979, the value of the mathematical constant PI to 14 decimal places.

### Syntax

PI()

### Example

=PI() returns 3.14159265358979.

## POWER

Returns a number raised to another number.

### Syntax

POWER(Base; Exponent)

Returns Base raised to the power of Exponent.

The same result may be achieved by using the exponentiation operator ^:

Base^Exponent

### Example

=POWER(4;3) returns 64, which is 4 to the power of 3.

=4^3 also returns 4 to the power of 3.

## QUOTIENT

Returns the integer part of a division operation.

### Syntax

QUOTIENT(Numerator; Denominator)

Returns the integer part of Numerator divided by Denominator.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

### Example

=QUOTIENT(11;3) returns 3. The remainder of 2 is lost.

## RADIANS

Converts degrees to radians.

### Syntax

RADIANS(Number)

Number is the angle in degrees to be converted to radians.

### Example

=RADIANS(90) returns 1.5707963267949, which is PI/2 to Calc's accuracy.

## RAND

Vraca nasumicni broj u ranguod 0.0 do 1.0.

### Syntax

RAND()

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Za generisanje nasumicnih brojeva kojinikad nece biti ponovno izracunati, kopirajte celjije koje sadrze =RAND() i koristite Edit - Paste Special (with Paste All and Formulae not marked and Numbers marked).

### Example

=RAND() vraca nasumicni broj u rangu od0.0 do 1.0.

## RANDBETWEEN

Vraca integer nasumicnog broja u naznacenom rangu.

### Syntax

RANDBETWEEN(Kraj; Pocetak)

Vraca integer nasumicnog broja izmedju integera Dno and Top (both inclusive).

This function produces a new random number each time Calc recalculates. To force Calc to recalculate manually press F9.

Za generisanje nasumicnih brojeva kojinikad nece biti ponovno izracunati, kopirajte celjije koje sadrze ovu funkciju i koristite Edit - Paste Special (with Paste All and Formulae not marked and Numbers marked).

### Example

=RANDBETWEEN(20; 30) Vraca integer u rangu iymedju 20 i 30..

## ROUND

Rounds a number to a certain number of decimal places.

### Syntax

ROUND(Number; Count)

Returns Number rounded to Count decimal places. If Count is omitted or zero, the function rounds to the nearest integer. If Count is negative, the function rounds to the nearest 10, 100, 1000, etc.

This function rounds to the nearest number. See ROUNDDOWN and ROUNDUP for alternatives.

### Example

=ODD(1.2) vraca 3.

=ROUND(-32.4834;3) returns -32.483. Change the cell format to see all decimals.

=ODD(0) vraca 1.

=ODD(1.2) vraca 3.

=ODD(1.2) vraca 3.

## ROUNDDOWN

Rounds a number down, toward zero, to a certain precision.

### Syntax

ROUNDDOWN(Number; Count)

Returns Number rounded down (towards zero) to Count decimal places. If Count is omitted or zero, the function rounds down to an integer. If Count is negative, the function rounds down to the next 10, 100, 1000, etc.

This function rounds towards zero. See ROUNDUP and ROUND for alternatives.

### Example

=ODD(1.2) vraca 3.

=ODD(-3.1)vraca -5.

=ODD(-3.1)vraca -5.

=ODD(1.2) vraca 3.

## ROUNDUP

Rounds a number up, away from zero, to a certain precision.

### Syntax

ROUNDUP(Number; Count)

Returns Number rounded up (away from zero) to Count decimal places. If Count is omitted or zero, the function rounds up to an integer. If Count is negative, the function rounds up to the next 10, 100, 1000, etc.

This function rounds away from zero. See ROUNDDOWN and ROUND for alternatives.

### Example

=ODD(1.2) vraca 3.

=ODD(1.2) vraca 3.

=ODD(0) vraca 1.

=ODD(-3.1)vraca -5.

=ODD(1.2) vraca 3.

## SEC

Returns the secant of the given angle (in radians). The secant of an angle is equivalent to 1 divided by the cosine of that angle

This function is available since LibreOffice 3.5

### Syntax

SIN(Broj)

Vraca (trigonometrijski) sinus od Broj, ugla u radijanima.

Za vracanje ugla u stepenima, koristite RADIANS funkciju.

### Example

=SEC(PI()/4) returns approximately 1.4142135624, the inverse of the cosine of PI/4 radians.

=SIN(RADIANS(30))vraca 0.5, sinus 30 stepeni.

## SECH

Vraca hiperbolicki sinus broja.

This function is available since LibreOffice 3.5

### Syntax

SINH(Broj)

Vraca hiperbolicki sinus od Broj.

### Example

=SINH(0)vraca 0, hiperbolicki sinus od 0.

## SERIESSUM

Sums the first terms of a power series.

SERIESSUM(x;n;m;coefficients) = coefficient_1*x^n + coefficient_2*x^(n+m) + coefficient_3*x^(n+2m) +...+ coefficient_i*x^(n+(i-1)m)

### Syntax

SERIESSUM(X; N; M; Coefficients)

X is the input value for the power series.

N is the initial power

M is the increment to increase N

Coefficients is a series of coefficients. For each coefficient the series sum is extended by one section.

## SIGN

Vraca znak broja. Vraca+1 ako je broj pozitivan, -1 ako je negativan i 0 ako je nula.

### Syntax

SIGN(Broj)

Broj ije broj ciji znak treba biti odredjen.

### Example

=SIGN(3.4)vraca 1.

=SIGN(-4.5) vraca -1.

## SIN

Vraca sinus zadatog ugla (u radijanima).

### Syntax

SIN(Broj)

Vraca (trigonometrijski) sinus od Broj, ugla u radijanima.

Za vracanje ugla u stepenima, koristite RADIANS funkciju.

### Example

=SIN(PI()/2) vraca 1, sinus PI/2 radijana.

=SIN(RADIANS(30))vraca 0.5, sinus 30 stepeni.

## SINH

Vraca hiperbolicki sinus broja.

### Syntax

SINH(Broj)

Vraca hiperbolicki sinus od Broj.

### Example

=SINH(0)vraca 0, hiperbolicki sinus od 0.

## SQRT

Vraca pozitivni kvadratni korijen broja.

### Syntax

SQRT(Broj)

Vraca pozitivni kvadratni korijen odBroj.

Number mora biti pozitivan.

### Example

=SQRT(16) vraca 4.

=SQRT(-16) vraca neispravan argument error.

## SQRTPI

vraca kvadratni korijen od(PI puta broj).

### Syntax

SQRTPI(Broj)

Vraca pozitivni kvadratni korijen od (PI pomnozen sa Broj).

Ovo je jednako SQRT(PI()*Number).

### Example

=SQRTPI(2) Vraca kvadratni korijen od (2PI), priblizno 2.506628.

## SUBTOTAL

racuna subtotale. Ako rang vec sadrzi subtotale, oni nisu koristeni u daljem racunanju. Koristite ovu formulu sa AutoFilterima da bi uzimali u obzir samo filtrirane redove.

### Syntax

SUBTOTAL(Funkcija; Rang)

Funkcija je broj za jednu od sljedecih funkcija:

Index funkcije (includes hidden values) | Function index (ignores hidden values) | Funkcija
1 | 101 | DAVERAGE
2 | 102 | DCOUNT
3 | 103 | DCOUNTA
4 | 104 | DMAX
5 | 105 | DMIN
6 | 106 | DPRODUCT
7 | 107 | DSTDEV
8 | 108 | DSTDEVP
9 | 109 | DSUM
10 | 110 | DVAR
11 | 111 | DVARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Opseg je rang ukljucenih celija.

### Example

You have a table in the cell range A1:B6 containing a bill of material for 10 students. Row 2 (Pen) is manually hidden. You want to see the sum of the figures that are displayed; that is, just the subtotal for the filtered rows. In this case the correct formula would be:

| A | B
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## SUM

Sabira sve brojeve u rangu celije.

### Syntax

SUM(Broj_1; Broj_2; ... Broj_30)

Broj_1; Broj_2; ... su argumenti od 1 do 30 cija suma seracuna.

### Example

Ako unesete brojeve 2; 3 and 4 u Broj_1; 2 i 3 polja teksta, vraceni rezultat ce biti 9.

=SUM(A1; A3; B5) Racuna sumu tri celije. =SUM(A1:E10) Racuna sumu svih polja od A1 do E10 celijskog ranga.

Uslovi povezani sa AND mogu biti koristeni sa funkcijom SUM() po sljedecem redoslijedu:

Primjer predpostavke:Ukucali ste fakturu u tabelu. Kolona A sadrzi datum fakture, kolona B iznose. Vi zelite naci formulu za vracanje sume iznosa samo za odredjeni mjesec, npr: samo iznos za period >=2008-01-01 to <2008-02-01. Rang svih datuma pokriva A1:A40, rang sadrzi iznose koji ce biti totalizirani u B1:B40. C1 sardzi pocetni datum, 2008-01-01, svih faktura C2 ukljucenih u datum, 2008-02-01, koji vise nije ukljucen.

Unesi sljedece formule kao niz formula:

=SUM((A1:A40>=C1)*(A1:A40<C2)*B1:B40)

Da bi se unioovaj niz formula, morate unijeti Shift+Command+ Ctrl+ Unosne tipke umjesto samo pritiskanja Enter tipke za zatvaranje formule. Formula ce onda biti prikazena u Formula paru zatvorenih zagrada.

{=SUM((A1:A40>=C1)*(A1:A40<C2)*B1:B40)}

Formula se bazira na cinjenici da je rezultat poredjenja 1, ako je kriterij zadovoljen i 0 ako nije. Individualna poredjenja rezultata ce biti kao niz i koristena u mnozenju matrica i na kraju ce individualne vrijednosti biti totalizirane da bi dale rezultat matrice. SUM() funkcija takodjer moze biti koristena na onaj nacin, na promjer, kao COUNTIF() sa nekoliko kriterija.

## SUMIF

Sairanje polja odredjenih zadatim kriterijima. Ova funkcija se koristi za trazenje ranga kada trazite neku odredjenu vrijednost.

The search supports regular expressions. You can enter "all.*", for example to find the first location of "all" followed by any characters. If you want to search for a text that is also a regular expression, you must precede every character with a "\" character. You can switch the automatic evaluation of regular expression on and off in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

### Syntax

SUMIF(rang; Kriterij; Sum_range)

Range is the range to which the criteria are to be applied.

Kriteriji je referenca na polje koje sadrzi date kriterije, ili samo trazeni kriterij. Ako su kriteriji zadati unutar formule, moraju biti zatvoreni sa navodnicima.

Sum_range je rang od kojeg su vrijednosti sabrane. Ako ovaj parametar jos nije pokazan, vrijednosti nadjene u rangu su sabrane.

SUMIF podrzava referencu znakova povezanih u lanac (~)samo u kriterij parametru i samo ako neobavezan SumRange parametar nije zadat.

### Example

Za sabiranje samo negativnih brojeva: =SUMIF(A1:A10; "<0")

=SUMIF(A1:A10; ">0"; B1:10) - sabira vrijenosti ranga B1:B10 samo ako su odgovarajuce vrijednosti u rangu A1:A10 >0.

Vidi COUNTIF() za vise primjera sintaksi koje mogu biti koristene sa SUMIF().

## SUMSQ

If you want to calculate the sum of the squares of numbers (totaling up of the squares of the arguments), enter these into the text fields.

### Syntax

SUM(Broj_1; Broj_2; ... Broj_30)

Broj_1; Broj_2; ... su argumenti od 1 do 30 cija suma seracuna.

### Example

Ako unesete brojeve 2; 3 and 4 u Broj_1; 2 i 3 polja teksta, vraceni rezultat ce biti 9.

## TAN

Vraca tangentu zadatog ugla (u radijanima).

### Syntax

TAN(Broj)

Vraca trigonometrijsku tangentu od Broj, ugla u radiajnima.

Za vracanje tangente ugla u stepenima, koristite RADIANS funkciju.

### Example

=TAN(PI()/4) vraca 1, tangenta PI/4 radijana.

=TAN(RADIANS(45)) vraca 1, tangentu ugla 45 stepeni.

## TANH

Vraca hiperbolicku tangentu broja.

### Syntax

TANH(Broj)

Vraca hiperbolicku tangentu od Broj.

### Example

=TANH(0) vraca0, hiperbolicku tangentu od 0.

## TRUNC

Truncates a number by removing decimal places.

### Syntax

TRUNC(Number; Count)

Returns Number with at most Count decimal places. Excess decimal places are simply removed, irrespective of sign.

TRUNC(Number; 0) behaves as INT(Number) for positive numbers, but effectively rounds towards zero for negative numbers.

The visible decimal places of the result are specified in LibreOffice - Preferences Tools - Options - LibreOffice Calc - Calculate.

### Example

=TRUNC(1.239;2) returns 1.23. The 9 is lost.

=TRUNC(-1.234999;3) returns -1.234. All the 9s are lost.

Related Topics

Functions by Category